package com.virtual.plat.server.entity;

import com.virtual.common.FuncUtil;
import com.virtual.plat.server.entity.Lun;
import com.virtual.plat.server.entity.StoreAdapter;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(
   name = "storageAdapters"
)
public class StoreAdapterList implements Serializable {

   private static final long serialVersionUID = -1180993875611635273L;
   private List storeAdapters;


   @XmlElement(
      name = "adapter"
   )
   public List getStoreAdapters() {
      return this.storeAdapters;
   }

   public void setStoreAdapters(List var1) {
      this.storeAdapters = var1;
   }

   public static void main(String[] var0) {
      StoreAdapterList var4 = new StoreAdapterList();
      StoreAdapter var1;
      (var1 = new StoreAdapter()).setName("Local-SCSI");
      var1.setState("Running");
      var1.setModel("Local SCSI");
      var1.setType("Local SCSI");
      ArrayList var2 = new ArrayList();
      Lun var3;
      (var3 = new Lun()).setCapacity("a");
      var3.setLunNumber("1");
      var3.setNaa("b");
      var3.setName("c");
      var3.setStatus("d");
      var3.setStorageName("e");
      var3.setType("f");
      var2.add(var3);
      var1.setLuns(var2);
      (var2 = new ArrayList()).add(var1);
      var4.setStoreAdapters(var2);
      String var5 = FuncUtil.convertObjectToXml(var4, StoreAdapterList.class);
      System.out.println(var5);
      var5 = "<storageAdapters><adapter><name>Local-SCSI</name><type>Local SCSI</type><model>Local SCSI</model><state>Running</state><lun><name>LOGICAL VOLUME - /dev/sda</name><naa>3600508b1001c17311dea46a926b817a1</naa><storageName></storageName><status></status><type>Local</type><lunNumber>0</lunNumber><capacity>299966445568</capacity></lun></adapter><adapter><name>open-iscsi</name><type>iscsi</type><wwn>iqn.1993-08.org.debian:01:192168000073</wwn><model>iscsiadm version 2.0-871</model></adapter><adapter><name>HBA0</name><model>Emulex NC553i FV4.2.401.6 DV8.3.27</model><type>fc</type><portName>1000b4b52f54efc1</portName><nodeName>2000b4b52f54efc1</nodeName><state>Online</state><lun><name>HSV340 - /dev/sdb</name><naa>36001438009b051b90000400001840000</naa><storageName></storageName><status></status><type>FC</type><lunNumber>1</lunNumber><capacity>5368709120</capacity></lun><lun><name>HSV340 - /dev/sdc</name><naa>36001438009b051b90000600001960000</naa><storageName>gzh_0196</storageName><status>running</status><type>FC</type><lunNumber>2</lunNumber><capacity>343597383680</capacity></lun><lun><name> - /dev/sdc1</name><naa>36001438009b051b90000600001960000</naa><storageName>gzh_0196</storageName><status>running</status><type>FC</type><lunNumber>2-part1</lunNumber><capacity>153598951936</capacity></lun><lun><name>HSV340 - /dev/sdd</name><naa>36001438009b051b90000600000970000</naa><storageName>gzh_0097</storageName><status>running</status><type>FC</type><lunNumber>3</lunNumber><capacity>332859965440</capacity></lun><lun><name>HSV340 - /dev/sde</name><naa>36001438009b051b900005000005a0000</naa><storageName>gzh-005a</storageName><status>running</status><type>FC</type><lunNumber>4</lunNumber><capacity>322122547200</capacity></lun><lun><name>HSV340 - /dev/sdf</name><naa>36001438009b051b900005000005f0000</naa><storageName></storageName><status></status><type>FC</type><lunNumber>5</lunNumber><capacity>10737418240</capacity></lun></adapter><adapter><name>HBA1</name><model>Emulex NC553i FV4.2.401.6 DV8.3.27</model><type>fc</type><portName>1000b4b52f54efc5</portName><nodeName>2000b4b52f54efc5</nodeName><state>Online</state><lun><name>HSV340 - /dev/sdg</name><naa>36001438009b051b90000400001840000</naa><storageName></storageName><status></status><type>FC</type><lunNumber>1</lunNumber><capacity>5368709120</capacity></lun><lun><name>HSV340 - /dev/sdh</name><naa>36001438009b051b90000600001960000</naa><storageName>gzh_0196</storageName><status>running</status><type>FC</type><lunNumber>2</lunNumber><capacity>343597383680</capacity></lun><lun><name>HSV340 - /dev/sdi</name><naa>36001438009b051b90000600000970000</naa><storageName>gzh_0097</storageName><status>running</status><type>FC</type><lunNumber>3</lunNumber><capacity>332859965440</capacity></lun><lun><name>HSV340 - /dev/sdj</name><naa>36001438009b051b900005000005a0000</naa><storageName>gzh-005a</storageName><status>running</status><type>FC</type><lunNumber>4</lunNumber><capacity>322122547200</capacity></lun><lun><name>HSV340 - /dev/sdk</name><naa>36001438009b051b900005000005f0000</naa><storageName></storageName><status></status><type>FC</type><lunNumber>5</lunNumber><capacity>10737418240</capacity></lun></adapter></storageAdapters>";
      FuncUtil.convertXmlToObject("<storageAdapters><adapter><name>Local-SCSI</name><type>Local SCSI</type><model>Local SCSI</model><state>Running</state><lun><name>LOGICAL VOLUME - /dev/sda</name><naa>3600508b1001c17311dea46a926b817a1</naa><storageName></storageName><status></status><type>Local</type><lunNumber>0</lunNumber><capacity>299966445568</capacity></lun></adapter><adapter><name>open-iscsi</name><type>iscsi</type><wwn>iqn.1993-08.org.debian:01:192168000073</wwn><model>iscsiadm version 2.0-871</model></adapter><adapter><name>HBA0</name><model>Emulex NC553i FV4.2.401.6 DV8.3.27</model><type>fc</type><portName>1000b4b52f54efc1</portName><nodeName>2000b4b52f54efc1</nodeName><state>Online</state><lun><name>HSV340 - /dev/sdb</name><naa>36001438009b051b90000400001840000</naa><storageName></storageName><status></status><type>FC</type><lunNumber>1</lunNumber><capacity>5368709120</capacity></lun><lun><name>HSV340 - /dev/sdc</name><naa>36001438009b051b90000600001960000</naa><storageName>gzh_0196</storageName><status>running</status><type>FC</type><lunNumber>2</lunNumber><capacity>343597383680</capacity></lun><lun><name> - /dev/sdc1</name><naa>36001438009b051b90000600001960000</naa><storageName>gzh_0196</storageName><status>running</status><type>FC</type><lunNumber>2-part1</lunNumber><capacity>153598951936</capacity></lun><lun><name>HSV340 - /dev/sdd</name><naa>36001438009b051b90000600000970000</naa><storageName>gzh_0097</storageName><status>running</status><type>FC</type><lunNumber>3</lunNumber><capacity>332859965440</capacity></lun><lun><name>HSV340 - /dev/sde</name><naa>36001438009b051b900005000005a0000</naa><storageName>gzh-005a</storageName><status>running</status><type>FC</type><lunNumber>4</lunNumber><capacity>322122547200</capacity></lun><lun><name>HSV340 - /dev/sdf</name><naa>36001438009b051b900005000005f0000</naa><storageName></storageName><status></status><type>FC</type><lunNumber>5</lunNumber><capacity>10737418240</capacity></lun></adapter><adapter><name>HBA1</name><model>Emulex NC553i FV4.2.401.6 DV8.3.27</model><type>fc</type><portName>1000b4b52f54efc5</portName><nodeName>2000b4b52f54efc5</nodeName><state>Online</state><lun><name>HSV340 - /dev/sdg</name><naa>36001438009b051b90000400001840000</naa><storageName></storageName><status></status><type>FC</type><lunNumber>1</lunNumber><capacity>5368709120</capacity></lun><lun><name>HSV340 - /dev/sdh</name><naa>36001438009b051b90000600001960000</naa><storageName>gzh_0196</storageName><status>running</status><type>FC</type><lunNumber>2</lunNumber><capacity>343597383680</capacity></lun><lun><name>HSV340 - /dev/sdi</name><naa>36001438009b051b90000600000970000</naa><storageName>gzh_0097</storageName><status>running</status><type>FC</type><lunNumber>3</lunNumber><capacity>332859965440</capacity></lun><lun><name>HSV340 - /dev/sdj</name><naa>36001438009b051b900005000005a0000</naa><storageName>gzh-005a</storageName><status>running</status><type>FC</type><lunNumber>4</lunNumber><capacity>322122547200</capacity></lun><lun><name>HSV340 - /dev/sdk</name><naa>36001438009b051b900005000005f0000</naa><storageName></storageName><status></status><type>FC</type><lunNumber>5</lunNumber><capacity>10737418240</capacity></lun></adapter></storageAdapters>", StoreAdapterList.class);
   }
}
